Subject: bug#19296: [PATCH] Package archives now have priorities.

From: Ted Zlatanov <[email-masked]>
Date: Mon, 15 Dec 2014 07:08:46 -0500

On Mon, 15 Dec 2014 09:36:10 +0100 Jorgen Schaefer <[email-masked]> wrote: 

JS> I can see two ways for this. One, we overwrite the package's -pkg.el
JS> file on install time with an expanded version that includes our own
JS> infos, e.g. :archive "name" for this
JS> (`package-generate-description-file' already has the code to generate
JS> this file, and it just needs to be called even if the file already
JS> exists). Alternatively, we add an .archive file to the package
JS> directory recording the archive this came from.

JS> I would tend to lean to overriding the -pkg.el file, but I do not have
JS> any big preferences. Which way would you prefer?

Keep in mind the -pkg.el file can be signed by the archive maintainers, IIRC.

Ted